onEvent('recipes', (event) => {

    const id_prefix = 'powah:kubejs/shaped';

    const tiers = ['starter','basic','hardened','blazing','niotic','spirited','nitro'];

    const recipes = [

    ];

    tiers.forEach(tier => {

        let capacitor = tier=='starter'? 'powah:capacitor_basic' : tier=='basic'? 'powah:capacitor_basic_large' : `powah:capacitor_${tier}`;
        let energy_cell = `powah:energy_cell_${tier}`;
        let energy_hopper = `powah:energy_hopper_${tier}`;
        let energy_discharger = `powah:energy_discharger_${tier}`;
        let player_transmitter = `powah:player_transmitter_${tier}`;

        recipes.push({
            output: player_transmitter,
            pattern: [
                ' A ',
                'DCD',
                ' B '
            ],
            keys: {
                A: 'powah:aerial_pearl',
                B: energy_cell,
                C: 'powah:dielectric_rod',
                D: capacitor
            },
            id: player_transmitter.substring(6)
        });

        recipes.push({
            output: energy_hopper,
            pattern: [
                ' D ',
                'BCA',
                ' D '
            ],
            keys: {
                A: 'kubejs:stainless_steel_plate',
                B: energy_cell,
                C: 'integratedtunnels:part_exporter_world_energy',
                D: capacitor
            },
            id: energy_hopper.substring(6)
        });

        recipes.push({
            output: energy_discharger,
            pattern: [
                ' DA',
                'BCE',
                ' DA'
            ],
            keys: {
                A: 'kubejs:stainless_steel_rod',
                B: energy_cell,
                C: 'integratedtunnels:part_importer_world_energy',
                D: capacitor,
                E: 'rftoolsbase:machine_base'
            },
            id: energy_discharger.substring(6)
        });
    })

    recipes.forEach(recipe => {
        event.shaped(recipe.output,recipe.pattern,recipe.keys).id(`${id_prefix}/${recipe.id}`)
    })

});